class ConditionMap {
    constructor(params = {}) {
        let { original, graphing, superposition, legends } = params;
        this.original = original; //原图地址
        this.graphing = graphing; //绘制图层地址
        this.superposition = superposition; //合并图层地址
        this.legends = legends || []; //conditionLegend对象集合
    }
}

class ConditionLegend {
    constructor(params = {}) {
        let { name, img } = params;
        this.name = name; //病害名称
        this.img = img; //图例
    }
}

export { ConditionMap, ConditionLegend };
